Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 868713 - Review Request: repsnapper - RepRap control software
Summary: Review Request: repsnapper - RepRap control software
Keywords:
Status: CLOSED DUPLICATE of bug 907585
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-10-21 22:22 UTC by Alon Levy
Modified: 2014-08-04 22:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-28 11:39:39 UTC


Attachments (Terms of Use)
spec file (deleted)
2012-10-21 22:22 UTC, Alon Levy
no flags Details

Description Alon Levy 2012-10-21 22:22:08 UTC
Created attachment 631128 [details]
spec file

Description of problem:

spec file: https://gitorious.org/fedora-packages-under-review/fedora-packages-under-review/blobs/r1/repsnapper/repsnapper.spec

source rpm: https://gitorious.org/fedora-packages-under-review/fedora-packages-under-review/blobs/r1/repsnapper/repsnapper-2.1.0b02-1.fc18.src.rpm


rpmlint results:

repsnapper.spec:12: W: macro-in-comment %{version}
repsnapper.spec:13: W: macro-in-comment %setup
repsnapper.spec: W: invalid-url Source0: repsnapper-2.1.0b02.tar.gz
0 packages and 1 specfiles checked; 0 errors, 3 warnings.

The first two seem harmless to me. I could fix it if I told %setup the name of the tarball (which is just %{version} if you use the download url in my helper script, downloading from github, and this will also solve the third warning.

Alon

Comment 1 Volker Fröhlich 2012-10-22 19:26:51 UTC
Please use this form for future requests: https://bugzilla.redhat.com/bugzilla/enter_bug.cgi?product=Fedora&format=fedora-review

Comment 2 Volker Fröhlich 2012-10-22 19:34:22 UTC
Drop (most likely) all version requirements, compare http://fedoraproject.org/wiki/Packaging:Guidelines#Requires

License should be stated as GPLv2.

Source1 should use the name macro.

Maximum allowed linelength is 80 characters.

Locales are not handled properly: http://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files

Drop the name from "Summary".

Please offer your files in a way, where the URLs are directly accessable.

Comment 3 Alon Levy 2012-10-23 14:33:37 UTC
Thanks for the review!

Updated source package and spec:

http://people.freedesktop.org/~alon/repsnapper.spec
http://people.freedesktop.org/~alon/repsnapper-2.1.0b02-2.fc18.src.rpm

URLs should be directly accessible.

Alon

Comment 4 Volker Fröhlich 2012-10-23 17:56:12 UTC
Build fails for me with mock on F17 and Rawhide (haven't tried F18).

Comment 5 Alon Levy 2012-10-24 11:44:46 UTC
Added missing intltools & libtools dependencies

new srpm: http://people.freedesktop.org/~alon/repsnapper-2.1.0b02-3.fc18.src.rpm
new spec: http://people.freedesktop.org/~alon/repsnapper.spec

Comment 6 Volker Fröhlich 2012-10-24 21:22:44 UTC
Please make the build verbose!

There seem to be 6 bundled libraries in the "libraries" directory. Please use system libraries: http://fedoraproject.org/wiki/Packaging:Guidelines#Duplication_of_system_libraries

vmmlib seems to exist in Fedora and so does clipper (under the name "polyclipping").

amf's license is LGPLv3+, which actually does not allow repsnapper to be GPLv2. See https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#GPL_Compatibility_Matrix

Please report that upstream!

lmfit -- http://joachimwuttke.de/src/
libreprap -- http://reprap.org/wiki/Libreprap
poly2tri -- http://code.google.com/p/poly2tri/

Comment 7 Miro Hrončok 2013-01-27 18:40:13 UTC
Alon are you still interested in this?

Comment 8 Alon Levy 2013-01-28 08:38:47 UTC
I'm not currently working on it, although I'd like this to be part of fedora.

Comment 9 Miro Hrončok 2013-01-28 11:39:39 UTC
OK, I'm going to do it. Will mark this bug as a duplicate, when ready.

Comment 10 Miro Hrončok 2013-02-04 19:07:17 UTC

*** This bug has been marked as a duplicate of bug 907585 ***


Note You need to log in before you can comment on or make changes to this bug.